package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum GlztEnum {
    /**
     * 管理状态
     */
    A("0", "正常"), B("1", "异常"), C("2", "疑似非正常");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (GlztEnum materialEnum : GlztEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
